function [liste_p,liste_q] = Euler_E(p0,q0,dt,T);

liste_p = [p0];
liste_q = [q0];

N = floor(T/dt);

qaux = q0;
paux = p0;

for i = 1:N
    qaux2 = qaux + dt*dhdp(qaux,paux);
    paux2 = paux - dt*dhdq(qaux,paux);
    
    liste_p = [liste_p, paux2];
    liste_q = [liste_q, qaux2];
    
    qaux = qaux2;
    paux = paux2;
end
