function [liste_p,liste_q] = Euler_S(p0,q0,dt,T)

liste_p = [p0];
liste_q = [q0];


N = floor(T/dt);

qaux = q0;
paux = p0;

for i = 1:N
    qaux = qaux + dt*dhdp(qaux,paux);
    paux = paux - dt*dhdq(qaux,paux);
    
    liste_p = [liste_p, paux];
    liste_q = [liste_q, qaux];
end

